# cc_context_t Overview

## Detailed Description

The cc_context_t type gives the caller access to a ccache collection. Before being able to call any functions in the CCache API, the caller needs to acquire an instance of cc_context_t by calling cc_initialize().

For API function documentation see cc_context_f.

## Data Structures

- struct cc_context_d

## Typedefs

- typedef cc_context_f cc_context_f
- typedef cc_context_d cc_context_d
- typedef cc_context_d * cc_context_t

## Functions

- CCACHE_API cc_int32 cc_initialize (cc_context_t *out_context, cc_int32 in_version, cc_int32 *out_supported_version, char const **out_vendor)
    Initialize a new cc_context.

## Typedef Documentation

typedef struct cc_context_f cc_context_f

typedef struct cc_context_d cc_context_d

typedef cc_context_d* cc_context_t

## Function Documentation

CCACHE_API cc_int32 cc_initialize | ( | cc_context_t * | out_context,
|  | cc_int32 | in_version,
|  | cc_int32 * | out_supported_version,
|  | char const ** | out_vendor
| ) |

Initialize a new cc_context.

Parameters:

  | out_context | on exit, a new context object. Must be free with cc_context_release().
  | in_version | the requested API version. This should be the maximum version the application supports.
  | out_supported_version | if non-NULL, on exit contains the maximum API version supported by the implementation.
  | out_vendor | if non-NULL, on exit contains a pointer to a read-only C string which contains a string describing the vendor which implemented the credentials cache API.

Returns:
  On success, ccNoError. On failure, an error code representing the failure. May return CCAPI v2 error CC_BAD_API_VERSION if ccapi_version_2 is passed in.